# OpenLayers.Renderer.VML

Render vector features in browsers with VML capability. Construct a new VML renderer with the OpenLayers.Renderer.VML constructor.

Note that for all calculations in this class, we use (num | 0) to truncate a float value to an integer. This is done because it seems that VML doesn’t support float values.

#### Inherits from

- OpenLayers.Renderer.Elements

Summary

OpenLayers.Renderer.VML | Render vector features in browsers with VML capability.
Constructor |
OpenLayers.Renderer.VML | Create a new VML renderer.
Functions |
supported | Determine whether a browser supports this renderer.
Constants |
OpenLayers.Renderer.VML.LABEL_SHIFT | {Object}

### Constructor

### OpenLayers.Renderer.VML

Create a new VML renderer.

#### Parameters

containerID | {String} The id for the element that contains the renderer

### Functions

### supported

> supported: function()

Determine whether a browser supports this renderer.

#### Returns

{Boolean} The browser supports the VML renderer

### Constants

### OpenLayers.Renderer.VML.LABEL_SHIFT

{Object}

> supported: function()

Determine whether a browser supports this renderer.
Create a new VML renderer.
This is another virtual class in that it should never be instantiated by itself as a Renderer.
Close